Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.info
Class IType

    java.lang.Object
      ix.icore.info.IType

All Implemented Interfaces:
  Named, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

Direct Known Subclasses:
  IConceptType, IRelationType

    public class IType

extends java.lang.Object
implements Named, javax.swing.tree.MutableTreeNode

A type of concept or relationship.

Field Summary
`java.util.List` | `attributes`
`java.util.List` | `children`
`java.util.Collection` | `constraints`
`java.lang.String` | `name`
`IType` | `parent`

Constructor Summary
`protected` | `IType(IType parent, java.lang.String name, java.util.List attributes)` This constructor should only be used by an ITypeManager.

Method Summary
`void` | `addAttribute(java.lang.String attribute)`
`void` | `addConstraint(Constraint constraint)`
`boolean` | `checkConsistency()`
`java.util.Enumeration` | `children()`
`boolean` | `getAllowsChildren()`
`java.util.Collection` | `getAttributes()`
`javax.swing.tree.TreeNode` | `getChildAt(int index)`
`int` | `getChildCount()`
`java.util.Collection` | `getChildren()`
`java.util.Collection` | `getConstraints()`
`int` | `getIndex(javax.swing.tree.TreeNode node)`
`java.lang.String` | `getName()`
`javax.swing.tree.TreeNode` | `getParent()`
`void` | `insert(javax.swing.tree.MutableTreeNode child, int index)`
`boolean` | `isLeaf()`
`void` | `remove(int index)`
`void` | `remove(javax.swing.tree.MutableTreeNode node)`
`void` | `removeFromParent()`
`void` | `setAttributes(java.util.List attributes)`
`void` | `setConstraints(java.util.Collection constraints)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(javax.swing.tree.MutableTreeNode newParent)`
`void` | `setUserObject(java.lang.Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### parent

    public IType parent

### children

    public java.util.List children

### attributes

    public java.util.List attributes

### constraints

    public java.util.Collection constraints

Constructor Detail

### IType

    protected IType(IType parent,
                    java.lang.String name,
                    java.util.List attributes)

  This constructor should only be used by an ITypeManager. Use defineType of that class instead.

Method Detail

### getAttributes

    public java.util.Collection getAttributes()

### setAttributes

    public void setAttributes(java.util.List attributes)

### addAttribute

    public void addAttribute(java.lang.String attribute)

### getConstraints

    public java.util.Collection getConstraints()

### setConstraints

    public void setConstraints(java.util.Collection constraints)

### addConstraint

    public void addConstraint(Constraint constraint)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Named`

### setName

    public void setName(java.lang.String name)

### getChildren

    public java.util.Collection getChildren()

### checkConsistency

    public boolean checkConsistency()

### children

    public java.util.Enumeration children()

  Specified by:
    `children` in interface `javax.swing.tree.TreeNode`

### getAllowsChildren

    public boolean getAllowsChildren()

  Specified by:
    `getAllowsChildren` in interface `javax.swing.tree.TreeNode`

### getChildAt

    public javax.swing.tree.TreeNode getChildAt(int index)

  Specified by:
    `getChildAt` in interface `javax.swing.tree.TreeNode`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `javax.swing.tree.TreeNode`

### getIndex

    public int getIndex(javax.swing.tree.TreeNode node)

  Specified by:
    `getIndex` in interface `javax.swing.tree.TreeNode`

### getParent

    public javax.swing.tree.TreeNode getParent()

  Specified by:
    `getParent` in interface `javax.swing.tree.TreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeNode`

### insert

    public void insert(javax.swing.tree.MutableTreeNode child,
                       int index)

  Specified by:
    `insert` in interface `javax.swing.tree.MutableTreeNode`

### remove

    public void remove(int index)

  Specified by:
    `remove` in interface `javax.swing.tree.MutableTreeNode`

### remove

    public void remove(javax.swing.tree.MutableTreeNode node)

  Specified by:
    `remove` in interface `javax.swing.tree.MutableTreeNode`

### removeFromParent

    public void removeFromParent()

  Specified by:
    `removeFromParent` in interface `javax.swing.tree.MutableTreeNode`

### setParent

    public void setParent(javax.swing.tree.MutableTreeNode newParent)

  Specified by:
    `setParent` in interface `javax.swing.tree.MutableTreeNode`

### setUserObject

    public void setUserObject(java.lang.Object object)

  Specified by:
    `setUserObject` in interface `javax.swing.tree.MutableTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD